
#property copyright "Copyright  2006, ValeoFX & ShadowWz"


#property indicator_chart_window
#property indicator_buffers 4
#property indicator_color1 Magenta     
#property indicator_color2 Aqua
#property indicator_width1 2
#property indicator_width2 2

#define SIGNAL_BAR 1


extern int cbars = 500;

double UpBuffer[];
double DownBuffer[];
double temp5_Buffer[];
double temp14_Buffer[];

int init()
{
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexBuffer(0,DownBuffer);
   SetIndexEmptyValue(0,0);
   SetIndexArrow(0,222);
   
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexBuffer(1,UpBuffer);
   SetIndexEmptyValue(1,0);
   SetIndexArrow(1,221);
   
   SetIndexStyle(2,DRAW_NONE);
   SetIndexStyle(3,DRAW_NONE);
   
   SetIndexBuffer(2,temp5_Buffer);
   SetIndexBuffer(3,temp14_Buffer);
   
   
   return(0);
}

int start(){
   static int last_bar = 0;
   if(last_bar==Bars) return (0);
   last_bar = Bars;
   
   for(int i=1; i<cbars; i++)
   {   
      temp5_Buffer[i] = iRSI(NULL,0,5,PRICE_CLOSE,i);
      temp14_Buffer[i] = iRSI(NULL,0,14,PRICE_CLOSE,i);  
      UpBuffer[i] = EMPTY_VALUE;
      DownBuffer[i] = EMPTY_VALUE;
   }
   
   static int PrevSignal = 0;
   for(i=1; i<cbars; i++)
   {
      if ( temp5_Buffer[i] > temp14_Buffer[i] )
      {  
         if (PrevSignal >= 0)
         {
            PrevSignal = -1;
            DownBuffer[i] = High[i];
         }
      }
      
      if ( temp14_Buffer[i] > temp5_Buffer[i] )
      {
         if (PrevSignal <= 0)
         {
            PrevSignal = 1;
            UpBuffer[i] = Low[i];
         }
      
      }   
   }
   
   return(0);
  }
//+------------------------------------------------------------------+